<?php

namespace App\View\Components;

use Illuminate\View\Component;

class actionbtnComponent extends Component
{
    public $permission;
    public $routeurl;
    public $id;
    public $editpermission;
    public $deletepermission;
    public $viewpermission;
    public $approvepermission;

    public function __construct($permission = null, $routeurl = null, $id = null)
    {
        $this->permission = $permission;
        $this->routeurl = $routeurl;
        $this->id = $id;
        $this->editpermission = 'edit '.$permission;
        $this->deletepermission = 'delete '.$permission;
        $this->viewpermission = 'view '.$permission;
        $this->approvepermission = 'approve '.$permission;
    }

    
    public function render()
    {
        return view('components.actionbtn-component');
    }
}
