
    <div class="col-md-12">
        <table class="table display" id="statement_transaction" style="width: 100%">
            <thead class="thead-dark">
                <tr>
                    <th>S.No</th>
                    <th data-priority="3">Entry Date</th>
                    <th data-priority="1">Receipt No</th>
                    <th data-priority="4">Collectors Name</th>
                    <th data-priority="4">Donators Name</th>
                    <th data-priority="10">Donator Type</th>
                    <th data-priority="2">Amount</th>
                    <th data-priority="6">Description</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $i = 0;
                    $tot_amount = 0;
                @endphp
                @foreach ($data as $item)
                    <tr>
                     <td>{{$i=$i+1}}</td>
                     <td>{{date('d-m-Y',strtotime($item->entry_date))}}</td>
                     <td class="text-primary font-weight-bold">{{$item->receipt_no}}</td>
                     <td>{{$item->collectors->name}}</td>
                     <td>{{$item->donators->name}}</td>
                     <td>{{strtoupper($item->donators->type)}}</td>
                     <td>{{number_format($item->amount,2)}}</td>
                     <td>{{$item->description}}</td>
                     </tr>
                @php
                   $tot_amount += $item->amount;
                @endphp     
                @endforeach
             </tbody>
             <tfoot>
                <tr>
                   <th colspan="6"><div align='right'>Total</div></th>
                   <th>{{number_format($tot_amount,2)}}</th>
                   <th></th>
                </tr>
            </tfoot>
        </table>

</div>