@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="collectors.index" title="Dollectors Update" pagetype="edit"/>
    <form id="collectors_updation_form" action="{{route('collectors.update',[$data->id])}}" method="POST" class="needs-validation" novalidate>
    @csrf
    @method('PUT')
        <div class="card-body">
            @include('layouts.error-message')
            <div class="col-md-4">

                    <div class="mb-2">
                        <label for="activity_type"><b>Name <span style="color: red">*</span></b></label>
                        <input type="text" name="name" id="name"  value="{{$data->name}}" class="form-control" placeholder="Enter Name" required>
                        
                    </div>
                    <div class="mb-2">
                        <label for="activity_type"><b>Contact No <span style="color: red">*</span></b></label>
                        <input type="number" name="contact_no" id="contact_no" value="{{$data->contact_no}}" class="form-control" placeholder="Enter Contact No" >
                    </div>
                    
                    {{-- <div class="mb-2">
                        <x-status-component/>
                    </div> --}}
                
            </div>
        </div>
        <x-pagefooter-component formid="collectors_updation_form" btntitle="Update"/>
    </form>
</div>
            
    
@endsection    
