  

<?php $__env->startSection('content'); ?>
    
			
<div class="card shadow bg-white rounded">
    <?php if (isset($component)) { $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\PageheaderComponent::class, ['url' => 'register.index','title' => 'Register Update','pagetype' => 'edit']); ?>
<?php $component->withName('pageheader-component'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1)): ?>
<?php $component = $__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1; ?>
<?php unset($__componentOriginalf8d4667345dffbb92ef45ecbc477c7ae1eb01ca1); ?>
<?php endif; ?>
    <form id="register_form" action="<?php echo e(route('register.update',[$data->id])); ?>" method="POST" class="needs-validation" novalidate>
    <?php echo csrf_field(); ?>
    <?php echo method_field('PUT'); ?>
        <div class="card-body">
            <?php echo $__env->make('layouts.error-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="col-md-5">
                    <div class="mb-2">
                        <label><b>Name</b></label>
                        <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" value="<?php echo e($data->name); ?>" required>
                    </div>
                    <div class="mb-2">
                        <label><b>Email</b></label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="Enter email" value="<?php echo e($data->email); ?>" required>
                    </div>
                    <div class="mb-2">
                        <label><b>Password</b></label>
                        <input type="password" class="form-control" name="password" id="password" placeholder="Enter password" required>
                    </div>
                    <div class="d-grid mb-2 gap-2">
                    </div>

                </div>
                
            </div>
        <div class="card-footer">
            <button type="submit" id="register_btn" class="btn btn-primary">Register</button>
        </div>
    </form>
</div>
            
    
<?php $__env->stopSection(); ?>    


<?php $__env->startSection("script-content"); ?>

<script>
           
				
    const form_submit = document.getElementById("register_form");
    form_submit.addEventListener('submit',signup_form_submit);
    
    function signup_form_submit(e){
        e.preventDefault();
        e.stopPropagation();
        var forms = document.getElementsByClassName('needs-validation');
        var validation = Array.prototype.filter.call(forms, function(form) {
        
            if (form.checkValidity() === false) {
            
                form.classList.add('was-validated');
            
            }else{

                $("#register_btn").prop('disabled',true);

                form_submit.submit();
            
            }
        });

    }
    
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/exterior/public_html/temple-tax/resources/views/register/edit.blade.php ENDPATH**/ ?>