<?php

namespace App\Http\Controllers;

use App\Events\ChatMessage;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ChatMessageController extends Controller
{
    public function message(Request $request){

        $details = [];

        $inputMessage = $request->input("message");

        $details = [
            "message" => $inputMessage,
            "username" => ucfirst(Auth::user()->name)
        ];

        // ChatMessage::dispatch($inputMessage);
        broadcast(new ChatMessage($details))->toOthers();
    }
}
