@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="donators.index" title="Donators Update" pagetype="edit"/>
    <form id="donators_updation_form" action="{{route('donators.update',[$data->id])}}" method="POST" class="needs-validation" novalidate>
    @csrf
    @method('PUT')
        <div class="card-body">
            @include('layouts.error-message')
            <div class="col-md-4">

                    <div class="mb-2">
                        <label for="activity_type"><b>Name <span style="color: red">*</span></b></label>
                        <input type="text" name="name" id="name"  value="{{$data->name}}" class="form-control" placeholder="Enter Name" required>
                        
                    </div>
                    <div class="mb-2">
                        <label for="activity_type"><b>Contact No <span style="color: red">*</span></b></label>
                        <input type="number" name="contact_no" id="contact_no" value="{{$data->contact_no}}" class="form-control" placeholder="Enter Contact No" >
                    </div>
                    <div class="mb-2">
                        <label for="activity_type"><b>Donors Type <span style="color: red">*</span></b></label>
                        <select name="type" id="type"  class="form-control custom-select select2-dropdown " style="width:100%;" >
                            <option value="Tax" @if($data->type == 'Tax') selected @endif>Tax</option>
                            <option value="Donation" @if($data->type == 'Donation') selected @endif>Donation</option>
                      </select>
                    </div>
    
                    <div class="mb-2">
                        <label for="activity_type"><b>Rceiver Name <span style="color: red">*</span></b></label>
                        <select name="receiver_name" id="receiver_name"  class="form-control custom-select select2-dropdown " style="width:100%;" >
                            <option value="">Select</option>
                            @foreach($collectorsdata as $item)
                            <option value="{{$item->id}}" @if($data->collectors_id == $item->id) selected @endif>{{$item->name}}</option>
                        @endforeach
                      </select>
                    </div>
    
                    <div class="mb-2">
                        <label for="activity_type"><b>Note No <span style="color: red">*</span></b></label>
                        <input type="number" name="note_no" id="note_no" value="{{$data->note_no}}" class="form-control" placeholder="Enter Note No" required>
                    </div>
                   
                    {{-- <div class="mb-2">
                        <x-status-component/>
                    </div> --}}
                
            </div>
        </div>
        <x-pagefooter-component formid="donators_updation_form" btntitle="Update"/>
    </form>
</div>
            
    
@endsection    
